Ponto
|
Menu location |
---|
Drafting → Point |
Workbenches |
Draft, Arch |
Default shortcut |
None |
Introduced in version |
0.7 |
See also |
None |
Descrição
The Draft Point command creates a simple point. Draft points can be useful as a reference for placing lines, wires or other objects.
Utilização
See also: Draft Tray, Draft Snap and Draft Constrain.
- There are several ways to invoke the command:
- Press the
Draft Point button.
- Select the Drafting →
Point option from the menu.
- Press the
- The Point task panel opens. See Options for more information.
- Pick a point in the 3D view, or type coordinates and press the
Enter point button.
Opções
The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts.
- To manually enter coordinates enter the X, Y and Z component, and press Enter after each. Or you can press the
Enter point button when you have the desired values. It is advisable to move the pointer out of the 3D view before entering coordinates.
- Press G or click the Global checkbox to toggle global mode. If global mode is on, coordinates are relative to the global coordinate system, else they are relative to the working plane coordinate system. introduced in version 0.20
- Press T or click the Continue checkbox to toggle continue mode. If continue mode is on, the command will restart after finishing, allowing you to continue creating points.
- Press S to switch Draft snapping on or off.
- Press Esc or the Close button to abort the command.
Notes
- Use
Draft Snap Near (version 0.20 and below) or
Draft Snap Endpoint (version 0.21 and above) to snap to Draft points.
Preferências
See also: Preferences Editor and Draft Preferences.
- To change the number of decimals used for the input of coordinates: Edit → Preferences... → General → Units → Units settings → Number of decimals.
Propriedades
See also: Property editor.
A Draft Point object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:
Data
Draft
- DadosX (
Distance
): specifies the X coordinate of the point. - DadosY (
Distance
): specifies the Y coordinate of the point. - DadosZ (
Distance
): specifies the Z coordinate of the point.
Vista
Draft
- VistaPattern (
Enumeration
): not used. - VistaPattern Size (
Float
): not used.
Scripting
See also: Autogenerated API documentation and FreeCAD Scripting Basics.
To create a Draft Point use the make_point
method (introduced in version 0.19) of the Draft module. This method replaces the deprecated makePoint
method.
point = make_point(X=0, Y=0, Z=0, color=None, name="Point", point_size=5)
point = make_point(point, Y=0, Z=0, color=None, name="Point", point_size=5)
- Creates a
point
object in the specifiedX
,Y
andZ
coordinates, with units in millimeters. If no coordinates are given the point is created at the origin (0,0,0).- If
X
is apoint
defined by aFreeCAD.Vector
, it is used.
- If
color
is a tuple(R, G, B)
that indicates the color of the point in the RGB scale; each value in the tuple should be in the range from0
to1
.name
is the name of the object.point_size
is the size of the object in pixels, if the graphical user interface is loaded.
Example:
import FreeCAD as App
import Draft
doc = App.newDocument()
point1 = Draft.make_point(1600, 1400, 0)
p2 = App.Vector(-3200, 1800, 0)
point2 = Draft.make_point(p2, color=(0.5, 0.3, 0.6), point_size=10)
doc.recompute()
Example:
This code creates N
random points within a square of side 2L
. It makes a loop creating N
points, that may appear anywhere from -L
to +L
on both X and Y. It also chooses a random color and size for each point. Change N
to change the number of points, and change L
to change the area covered by the points.
import random
import FreeCAD as App
import Draft
doc = App.newDocument()
L = 1000
centered = App.Placement(App.Vector(-L, -L, 0), App.Rotation())
rectangle = Draft.make_rectangle(2*L, 2*L, placement=centered)
N = 10
for i in range(N):
x = 2*L*random.random() - L
y = 2*L*random.random() - L
z = 0
r = random.random()
g = random.random()
b = random.random()
size = 15*random.random() + 5
Draft.make_point(x, y, z, color=(r, g, b), point_size=size)
doc.recompute()
- Drafting: Line, Polyline, Fillet, Arc, Arc by 3 points, Circle, Ellipse, Rectangle, Polygon, B-spline, Cubic Bézier curve, Bézier curve, Point, Facebinder, ShapeString, Hatch
- Annotation: Text, Dimension, Label, Annotation styles, Annotation scale
- Modification: Move, Rotate, Scale, Mirror, Offset, Trimex, Stretch, Clone, Array, Polar array, Circular array, Path array, Path Link array, Point Array, Point Link array, Edit, Subelement highlight, Join, Split, Upgrade, Downgrade, Wire to B-spline, Draft to Sketch, Set slope, Flip dimension, Shape 2D view
- Draft Tray: Select Plane, Set style, Toggle construction mode, AutoGroup
- Snapping: Snap Lock, Snap Endpoint, Snap Midpoint, Snap Center, Snap Angle, Snap Intersection, Snap Perpendicular, Snap Extension, Snap Parallel, Snap Special, Snap Near, Snap Ortho, Snap Grid, Snap WorkingPlane, Snap Dimensions, Toggle Grid
- Miscellaneous: Apply current style, Layer, Manage layers, Add a new named group, Move to group, Select group, Add to Construction group, Toggle normal/wireframe display, Create working plane proxy, Heal, Toggle continue mode, Show snap toolbar
- Additional: Constraining, Pattern, Preferences, Import Export Preferences, DXF/DWG, SVG, OCA, DAT
- Context menu:
- Layer container: Merge layer duplicates, Add new layer
- Layer: Activate this layer, Select layer contents
- Working plane proxy: Write camera position, Write objects state

- Getting started
- Installation: Download, Windows, Linux, Mac, Additional components, Docker, AppImage, Ubuntu Snap
- Basics: About FreeCAD, Interface, Mouse navigation, Selection methods, Object name, Preferences, Workbenches, Document structure, Properties, Help FreeCAD, Donate
- Help: Tutorials, Video tutorials
- Workbenches: Std Base, Arch, Draft, FEM, Inspection, Mesh, OpenSCAD, Part, PartDesign, Path, Points, Reverse Engineering, Robot, Sketcher, Spreadsheet, Start, Surface, TechDraw, Test Framework, Web
- Hubs: User hub, Power users hub, Developer hub